/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.osgi.fwkslauncher.core;

import java.util.ArrayList;
import java.util.List;

import org.ow2.util.maven.osgi.launcher.core.FrameworkManager;

/**
 * @author eyindanga
 *
 */
public class FrameworksManager {
    /**
     * Framework managers.
     */
    private List<FrameworkManager> frameworkManagers = null;

    /**
     * Default constructor.
     */
    public FrameworksManager() {
        frameworkManagers = new ArrayList<FrameworkManager>();
    }

    /**
     * @return the frameworkManagers
     */
    public List<FrameworkManager> getFrameworkManagers() {
        return frameworkManagers;
    }

    /**
     * @param frameworkManagers the frameworkManagers to set
     */
    public void setFrameworkManagers(final List<FrameworkManager> frameworkManagers) {
        this.frameworkManagers = frameworkManagers;
    }

}
